SymetryML Documentation
Projects

Get projects information list

This endpoint always runs asynchronously: it immediately returns `202` with a `Job-Id` response header and schedules a background job. The `smlOptions`/`smlInfoList` payload shown below is NOT returned directly by this call — it is what you get back from polling the job status/ result endpoint (see the Jobs section) using that `Job-Id`.

GET
/{user}/projects/info

This endpoint always runs asynchronously: it immediately returns 202 with a Job-Id response header and schedules a background job. The smlOptions/smlInfoList payload shown below is NOT returned directly by this call — it is what you get back from polling the job status/ result endpoint (see the Jobs section) using that Job-Id.

Authorization

SymetryMLAuth
AuthorizationBearer <token>

HMAC-SHA256 signature-based authentication: requests are signed with your secret key and sent with the Customer-ID, Sym-date, Authorization, Content-MD5 and sym-version headers. See SymetryML REST API Security for the signature algorithm and a complete example.

In: header

Path Parameters

user*string

User/Customer identifier

Response Body

application/json

application/json

curl -X GET "https://example.com/c1/projects/info"
{  "statusCode": 200,  "statusString": "OK",  "values": {    "smlOptions": {      "gpuEnabled": 1    },    "smlInfoList": {      "values": [        {          "pid": "prj-c1-SurvivalFrameKMTest-t30_empty_survival_frame",          "isDirty": true,          "modelsList": [],          "modelTypeList": [],          "attributeNames": [            "inst",            "time",            "status",            "age",            "sex",            "ph.ecog",            "ph.karno",            "pat.karno",            "meal.cal",            "wt.loss",            "dead",            "groups"          ],          "attributeIndexes": [            0,            1,            2,            3,            4,            5,            6,            7,            8,            9,            10,            11          ],          "attributeTypes": [            "C",            "C",            "C",            "C",            "C",            "C",            "C",            "C",            "C",            "C",            "B",            "C"          ],          "modelAssessments": {},          "modelPredictions": {},          "params": {            "km_event_column": "dead",            "km_group_column": "groups",            "sml_project_km": "prj-c1-SurvivalFrameKMTest-t30_empty_survival_frame__km",            "km_time_column": "time",            "sml_project_power_ntot": "228",            "sml_project_is_freeze": "false"          },          "autoSave": true,          "hash": -1,          "categorySeparator": "$",          "type": "cpu",          "creationDate": 1755840189253,          "lastModificationDate": 1755840189712,          "loaded": true,          "persisted": true,          "histogramEnabled": false        }      ]    }  }}
Empty
{  "statusCode": 401,  "statusString": "Invalid User",  "values": {}}